Skip to main content
POST
/
api
/
v2
/
platform
/
promotion_categories
Create a Promotion Category
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({promotion_category: {name: 'Promotions Used in 2021', code: '2021-PROMOS'}})
};

fetch('http://{defaultHost}/api/v2/platform/promotion_categories', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {
    "id": "5",
    "type": "promotion_category",
    "attributes": {
      "name": "Promotion Category",
      "created_at": "2022-11-08T19:34:58.529Z",
      "updated_at": "2022-11-08T19:34:58.529Z",
      "code": "2021-BFM"
    },
    "relationships": {
      "promotions": {
        "data": []
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include
string

Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes

Body

application/json
promotion_category
object
required

Response

Record created

data
object
required